from datetime import datetime

from pydantic import BaseModel

from src.db.models.admin import Assignment


class AssignmentResponse(BaseModel):
    id: str
    created_date: datetime
    last_modified_date: datetime
    version: int
    profile_id: str
    permission_id: str


def to_response(assignment: Assignment) -> AssignmentResponse:
    response: AssignmentResponse = AssignmentResponse(
        id=assignment.id,
        created_date=assignment.created_date,
        last_modified_date=assignment.last_modified_date,
        version=assignment.version,
        profile_id=assignment.profile_id,
        permission_id=assignment.permission_id
    )
    return response
